      module confs_module
      integer nmola,na,nb,naa,nbb,nab
      integer, dimension(:),allocatable :: iaa,jaa,kaa,laa,ibb,jbb,kbb
      integer, dimension(:),allocatable :: lbb,ia,ib,indij,iab,jab,kab
      integer, dimension(:),allocatable :: lab
      double precision, dimension(:),allocatable :: pa, paa, pb,pbb,pab
      end module confs_module
      module grid_module
      integer npts,attract_label,np(1:3)
      real, dimension (:), allocatable :: elf
      integer, dimension (:), allocatable :: indx
      integer*2, dimension (:), allocatable :: attract_code
      double precision :: xmin,xmax,ymin,ymax,zmin,zmax
      double precision, dimension(1:3) :: origin,edge,step
      double precision, dimension(:,:), allocatable :: fx,dfx,d2fx,dfx2
      double precision, dimension(:,:), allocatable :: fy,dfy,d2fy,dfy2
      double precision, dimension(:,:), allocatable :: fz,dfz,d2fz,dfz2
      real, dimension(:),allocatable :: buffer_rho,buffer_elf,buffer_lap
      end module grid_module
      module orbitals_module
      integer :: n_alpha,n_beta,natoms,nmol,ngto
      logical :: open_shell,uhf,ifno,ifci,fukui
      double precision, dimension(:),allocatable :: P,alfa
      double precision, dimension(:,:),allocatable :: rc
      double precision, dimension(:),allocatable ::  znuc,spin
      double precision, dimension(:,:),allocatable :: occ,c
      integer, dimension(:,:),allocatable :: ir
      integer, dimension(:),allocatable :: itype,nat,icent
      double precision, dimension(:),allocatable :: xat,yat,zat
      character*4, dimension(:),allocatable :: atom_name
      end module orbitals_module
      module eval_module
      double precision, dimension (:), allocatable :: g,gx,gy,gz
      double precision, dimension (:), allocatable :: fxx,fxy,fxz,fyy
      double precision, dimension (:), allocatable :: fyz,fzz,fxxx,fxxy
      double precision, dimension (:), allocatable :: fxxz,fxyy,fxyz
      double precision, dimension (:), allocatable :: fxzz,fyyy,fyyz
      double precision, dimension (:), allocatable :: fyzz,fzzz
      integer, dimension (:), allocatable :: extest
      double precision, dimension (:), allocatable :: phi,rhorb
      double precision, dimension (:,:), allocatable :: dphi,d2phi,d3phi
      double precision, dimension (:,:), allocatable :: dotorb,ddotorb
      double precision, dimension (:,:), allocatable :: d2dotorb,drhorb
      double precision, dimension (:,:), allocatable :: d2rhorb
      end module eval_module
      module basins_module
      integer maxbasin,ncore,nsaddle
      double precision, dimension (:), allocatable :: x,y,z,xs,ys,zs
      double precision, dimension (:), allocatable :: core_radius
      double precision, dimension (:), allocatable :: val_elf
      double precision, dimension (:,:), allocatable :: aux
      integer, dimension (:,:), allocatable :: basin_type,separatrices
      character*16, dimension (:), allocatable :: name_basin,name_atom
      end module basins_module
      module popul_module
      double precision, dimension (:), allocatable :: smunu
      end module popul_module
